summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorT.J. Townsend2022-07-05 19:04:39 -0400
committerT.J. Townsend2022-07-05 19:04:39 -0400
commit0531c3986b57c7c7d85a5513a72c7e55242573dd (patch)
tree477fe39594eaff4170742c199025ccee31f66cc2
parentd255e4cee6b372dab93265c96fbda5d1e030a8da (diff)
downloadaur-0531c3986b57c7c7d85a5513a72c7e55242573dd.tar.gz
add missing dependency and fix typos
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD9
-rw-r--r--rpki-client.install2
3 files changed, 8 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f932a63d9bb..b183dbc4858 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,13 +1,14 @@
pkgbase = rpki-client
pkgdesc = Implementation of RPKI for Relying Parties to facilitate ROA validation
pkgver = 7.8
- pkgrel = 1
+ pkgrel = 2
url = https://rpki-client.org
install = rpki-client.install
arch = x86_64
arch = aarch64
license = ISC
depends = glibc
+ depends = expat
depends = rsync
depends = libressl
source = https://cdn.openbsd.org/pub/OpenBSD/rpki-client/rpki-client-7.8.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
index b330a7bd9f9..13cd48eef2e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,13 +1,14 @@
# Maintainer: Sasha Romijn <arch at mxsasha.eu>
+# Maintainer: T.J. Townsend <tj@openbsd.org>
pkgname=rpki-client
-pkgver="7.8"
-pkgrel=1
+pkgver=7.8
+pkgrel=2
pkgdesc="Implementation of RPKI for Relying Parties to facilitate ROA validation"
arch=('x86_64' 'aarch64')
url="https://rpki-client.org"
license=('ISC')
-depends=('glibc' 'rsync' 'libressl')
+depends=('glibc' 'expat' 'rsync' 'libressl')
source=("https://cdn.openbsd.org/pub/OpenBSD/${pkgname}/${pkgname}-${pkgver}.tar.gz"{,.asc}
"sysusers-rpki-client.conf"
"tmpfiles-rpki-client.conf")
@@ -38,7 +39,7 @@ package() {
make DESTDIR="$pkgdir" install
- # /var directories should not be in package,
+ # /var directories should not be in packages
# they will be installed by systemd
rm -rf "${pkgdir}/var"
diff --git a/rpki-client.install b/rpki-client.install
index 209de3f77ba..a36de1f324d 100644
--- a/rpki-client.install
+++ b/rpki-client.install
@@ -1,7 +1,7 @@
post_install() {
echo
echo "==========================================================================="
- echo "The ARIN TAL is not included in this package due due licensing constraints."
+ echo "The ARIN TAL is not included in this package due to licensing constraints."
echo "To use the ARIN TAL, download it yourself from"
echo "https://www.arin.net/resources/manage/rpki/tal/"
echo "and place the arin.tal file in /etc/rpki/"